> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取订阅详情

> 订阅详情

订阅详情


## OpenAPI

````yaml openapi/v1-zh.yaml GET /api/v1/subscription/{subscription_id}
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: 折扣
    description: 折扣
  - name: 发票
    description: 发票
  - name: 退款
    description: 退款
  - name: 商品管理
    description: 商品管理
  - name: 订阅
    description: 订阅
  - name: 商品定价
    description: 商品定价方案
  - name: 交易单
    description: 交易单
  - name: 支付流水
    description: 支付流水
  - name: 结账会话
    description: 结账会话
  - name: 顾客
    description: 顾客
  - name: 顾客门户
    description: 顾客门户
  - name: Webhook
    description: Webhook
  - name: 争议
    description: 争议订单
paths:
  /api/v1/subscription/{subscription_id}:
    get:
      tags:
        - 订阅
      summary: 获取订阅详情
      description: 订阅详情
      operationId: v1-subscription-get-subscription
      parameters:
        - name: subscription_id
          in: path
          description: 订阅 ID
          required: true
          schema:
            type: string
        - name: merchant_id
          in: query
          description: 商户唯一标识
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSubscriptionResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
              example:
                code: system_error
                message: Internal server error.
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: 请求的唯一标识符
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    GetSubscriptionResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/GetSubscriptionResponse_Data'
    BaseResponse:
      type: object
      properties:
        code:
          type: string
          description: 错误码
        message:
          type: string
          description: 错误详细信息
    GetSubscriptionResponse_Data:
      type: object
      properties:
        id:
          type: string
          description: 订阅唯一标识
        customer_id:
          type: string
          description: Subotiz 顾客唯一标识
        email:
          type: string
          description: 顾客邮箱
        cycle_index:
          type: integer
          description: 订阅当前所处周期
          format: int32
        metadata:
          type: object
          additionalProperties:
            type: string
          description: 元数据
        cancel_reason:
          type: string
          description: 终止订阅的原因
        sub_merchant_id:
          type: string
          description: 商户唯一标识
        status:
          type: string
          description: |-
            订阅业务状态：
            - init - 待生效
            - trial - 试用期
            - active - 生效中
            - paused - 暂停
            - past_due - 逾期
            - unpaid - 未支付
            - canceled - 已终止
        price_id:
          type: string
          description: 商品定价方案唯一标识
        total_cycles:
          type: integer
          description: 总周期数（0表示无限期）
          format: int32
        current_period_start:
          type: string
          description: 当前计费周期开始时间
        current_period_end:
          type: string
          description: 当前计费周期结束时间
        next_invoice_date:
          type: string
          description: 下一次续订时间
        created_at:
          type: string
          description: 创建时间
        updated_at:
          type: string
          description: 更新时间
        cancel_at:
          type: string
          description: 终止订阅时间（可选）
        order_id:
          type: string
          description: 接入方订单 id，创建 checkout session 时传入的 order_id 一致。
        source_trade_id:
          type: string
          description: 来源交易订单 ID
        price_type:
          type: string
          description: 定价模型
        usage_amount:
          type: string
          description: 资源包用量
        usage_unit:
          type: string
          description: 资源包用量单位
        model_type:
          type: string
          description: 定价模型二级类型
        billing_threshold:
          type: string
          description: 扣费金额阈值
        is_canceling:
          type: boolean
          description: 是否已进入终止状态（包括已发起终止但尚未终止，以及已终止并结束）
        launch_cancel_at:
          type: string
          description: 发起终止时间
        expected_cancel_at:
          type: string
          description: 预期终止时间
        price_version_id:
          type: string
          description: 商品定价方案版本唯一标识
        first_source_channel:
          type: string
          description: 该结账会话的首次创建来源
        last_source_channel:
          type: string
          description: 该结账会话的最后访问来源
        is_renewable:
          type: boolean
          description: 是否支持转为持续订阅
        current_period:
          type: integer
          description: 订阅当前周期数
          format: int32
        end_at:
          type: string
          description: 固定期限订阅结束时间
        fixed_term:
          type: integer
          description: 订阅固定周期
          format: int32
  securitySchemes:
    sec0:
      type: http
      description: 'Bearer API Key 鉴权。格式：Authorization: Bearer {your_api_key}'
      scheme: bearer

````